Bug 1311086 - Review Request: python-s3transfer - An Amazon S3 Transfer Manager
Review Request: python-s3transfer - An Amazon S3 Transfer Manager
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Germano Massullo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1311068
  Show dependency treegraph
 
Reported: 2016-02-23 06:02 EST by Fabio Alessandro Locati
Modified: 2016-04-01 11:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-01 11:16:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
germano.massullo: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Fabio Alessandro Locati 2016-02-23 06:02:16 EST
Spec URL: https://fale.fedorapeople.org/rpms/python-s3transfer.spec
SRPM URL: https://fale.fedorapeople.org/rpms/python-s3transfer-0.0.1-1.fc23.src.rpm
Description: An Amazon S3 Transfer Manager
Fedora Account System Username: fale
Comment 1 Germano Massullo 2016-02-23 06:35:50 EST
Could you please GPG sign the src.rpm file?
Thank you
Comment 2 Fabio Alessandro Locati 2016-02-23 06:43:09 EST
No problem. You can find the sign for src.rpm at https://fale.fedorapeople.org/rpms/python-s3transfer-0.0.1-1.fc23.src.rpm.gpg
Comment 3 James Hogarth 2016-02-23 08:10:51 EST
(In reply to Germano Massullo from comment #1)
> Could you please GPG sign the src.rpm file?
> Thank you

I'm curious - why ask this? So far as I recall no such requirement to do so has been placed on package reviews before (and I don't recall any changes in guidelines to add this).

In addition the fedora-review tool compares %source upstream to that in the SRPM anyway ...

A quick test with fedora-review reveals a failure in %check right now that needs correcting for the review request to proceed:

======================================================================
ERROR: setUpClass (tests.integration.test_s3transfer.TestS3Transfers)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/s3transfer-0.0.1/tests/integration/test_s3transfer.py", line 118, in setUpClass
    CreateBucketConfiguration={'LocationConstraint': cls.region})
  File "/usr/lib/python3.5/site-packages/botocore/client.py", line 301, in _api_call
    return self._make_api_call(operation_name, kwargs)
  File "/usr/lib/python3.5/site-packages/botocore/client.py", line 387, in _make_api_call
    operation_model, request_dict)
  File "/usr/lib/python3.5/site-packages/botocore/endpoint.py", line 111, in make_request
    return self._send_request(request_dict, operation_model)
  File "/usr/lib/python3.5/site-packages/botocore/endpoint.py", line 136, in _send_request
    request = self.create_request(request_dict, operation_model)
  File "/usr/lib/python3.5/site-packages/botocore/endpoint.py", line 120, in create_request
    operation_name=operation_model.name)
  File "/usr/lib/python3.5/site-packages/botocore/hooks.py", line 226, in emit
    return self._emit(event_name, kwargs)
  File "/usr/lib/python3.5/site-packages/botocore/hooks.py", line 209, in _emit
    response = handler(**kwargs)
  File "/usr/lib/python3.5/site-packages/botocore/signers.py", line 90, in handler
    return self.sign(operation_name, request)
  File "/usr/lib/python3.5/site-packages/botocore/signers.py", line 123, in sign
    signature_version)
  File "/usr/lib/python3.5/site-packages/botocore/signers.py", line 153, in get_auth_instance
    kwargs['credentials'] = self._credentials.get_frozen_credentials()
AttributeError: 'NoneType' object has no attribute 'get_frozen_credentials'
======================================================================
ERROR: setUpClass (tests.integration.test_s3transfer.TestS3Transfers)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/s3transfer-0.0.1/tests/integration/test_s3transfer.py", line 118, in setUpClass
    CreateBucketConfiguration={'LocationConstraint': cls.region})
  File "/usr/lib/python3.5/site-packages/botocore/client.py", line 301, in _api_call
    return self._make_api_call(operation_name, kwargs)
  File "/usr/lib/python3.5/site-packages/botocore/client.py", line 387, in _make_api_call
    operation_model, request_dict)
  File "/usr/lib/python3.5/site-packages/botocore/endpoint.py", line 111, in make_request
    return self._send_request(request_dict, operation_model)
  File "/usr/lib/python3.5/site-packages/botocore/endpoint.py", line 136, in _send_request
    request = self.create_request(request_dict, operation_model)
  File "/usr/lib/python3.5/site-packages/botocore/endpoint.py", line 120, in create_request
    operation_name=operation_model.name)
  File "/usr/lib/python3.5/site-packages/botocore/hooks.py", line 226, in emit
    return self._emit(event_name, kwargs)
  File "/usr/lib/python3.5/site-packages/botocore/hooks.py", line 209, in _emit
    response = handler(**kwargs)
  File "/usr/lib/python3.5/site-packages/botocore/signers.py", line 90, in handler
    return self.sign(operation_name, request)
  File "/usr/lib/python3.5/site-packages/botocore/signers.py", line 123, in sign
    signature_version)
  File "/usr/lib/python3.5/site-packages/botocore/signers.py", line 153, in get_auth_instance
    kwargs['credentials'] = self._credentials.get_frozen_credentials()
AttributeError: 'NoneType' object has no attribute 'get_frozen_credentials'
----------------------------------------------------------------------
Ran 171 tests in 2.135s
FAILED (errors=2)
Comment 4 Fabio Alessandro Locati 2016-02-23 08:23:24 EST
(In reply to James Hogarth from comment #3)
> (In reply to Germano Massullo from comment #1)
> > Could you please GPG sign the src.rpm file?
> > Thank you
> 
> I'm curious - why ask this? So far as I recall no such requirement to do so
> has been placed on package reviews before (and I don't recall any changes in
> guidelines to add this).
> 
> In addition the fedora-review tool compares %source upstream to that in the
> SRPM anyway ...

As far as I know there is no such requirement, but Germano asked and since it's very easy and fast to do so, I just did it.

> A quick test with fedora-review reveals a failure in %check right now that
> needs correcting for the review request to proceed:
> 
> ======================================================================
> ERROR: setUpClass (tests.integration.test_s3transfer.TestS3Transfers)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File
> "/builddir/build/BUILD/s3transfer-0.0.1/tests/integration/test_s3transfer.
> py", line 118, in setUpClass
>     CreateBucketConfiguration={'LocationConstraint': cls.region})
>   File "/usr/lib/python3.5/site-packages/botocore/client.py", line 301, in
> _api_call
>     return self._make_api_call(operation_name, kwargs)
>   File "/usr/lib/python3.5/site-packages/botocore/client.py", line 387, in
> _make_api_call
>     operation_model, request_dict)
>   File "/usr/lib/python3.5/site-packages/botocore/endpoint.py", line 111, in
> make_request
>     return self._send_request(request_dict, operation_model)
>   File "/usr/lib/python3.5/site-packages/botocore/endpoint.py", line 136, in
> _send_request
>     request = self.create_request(request_dict, operation_model)
>   File "/usr/lib/python3.5/site-packages/botocore/endpoint.py", line 120, in
> create_request
>     operation_name=operation_model.name)
>   File "/usr/lib/python3.5/site-packages/botocore/hooks.py", line 226, in
> emit
>     return self._emit(event_name, kwargs)
>   File "/usr/lib/python3.5/site-packages/botocore/hooks.py", line 209, in
> _emit
>     response = handler(**kwargs)
>   File "/usr/lib/python3.5/site-packages/botocore/signers.py", line 90, in
> handler
>     return self.sign(operation_name, request)
>   File "/usr/lib/python3.5/site-packages/botocore/signers.py", line 123, in
> sign
>     signature_version)
>   File "/usr/lib/python3.5/site-packages/botocore/signers.py", line 153, in
> get_auth_instance
>     kwargs['credentials'] = self._credentials.get_frozen_credentials()
> AttributeError: 'NoneType' object has no attribute 'get_frozen_credentials'
> ======================================================================
> ERROR: setUpClass (tests.integration.test_s3transfer.TestS3Transfers)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File
> "/builddir/build/BUILD/s3transfer-0.0.1/tests/integration/test_s3transfer.
> py", line 118, in setUpClass
>     CreateBucketConfiguration={'LocationConstraint': cls.region})
>   File "/usr/lib/python3.5/site-packages/botocore/client.py", line 301, in
> _api_call
>     return self._make_api_call(operation_name, kwargs)
>   File "/usr/lib/python3.5/site-packages/botocore/client.py", line 387, in
> _make_api_call
>     operation_model, request_dict)
>   File "/usr/lib/python3.5/site-packages/botocore/endpoint.py", line 111, in
> make_request
>     return self._send_request(request_dict, operation_model)
>   File "/usr/lib/python3.5/site-packages/botocore/endpoint.py", line 136, in
> _send_request
>     request = self.create_request(request_dict, operation_model)
>   File "/usr/lib/python3.5/site-packages/botocore/endpoint.py", line 120, in
> create_request
>     operation_name=operation_model.name)
>   File "/usr/lib/python3.5/site-packages/botocore/hooks.py", line 226, in
> emit
>     return self._emit(event_name, kwargs)
>   File "/usr/lib/python3.5/site-packages/botocore/hooks.py", line 209, in
> _emit
>     response = handler(**kwargs)
>   File "/usr/lib/python3.5/site-packages/botocore/signers.py", line 90, in
> handler
>     return self.sign(operation_name, request)
>   File "/usr/lib/python3.5/site-packages/botocore/signers.py", line 123, in
> sign
>     signature_version)
>   File "/usr/lib/python3.5/site-packages/botocore/signers.py", line 153, in
> get_auth_instance
>     kwargs['credentials'] = self._credentials.get_frozen_credentials()
> AttributeError: 'NoneType' object has no attribute 'get_frozen_credentials'
> ----------------------------------------------------------------------
> Ran 171 tests in 2.135s
> FAILED (errors=2)

I've tried on F23 and no errors were raised, while on F24 one error occured (probably due to the new python-tests configs and I reported it upstream (https://github.com/boto/s3transfer/issues/8) to figure out with them the problem
Comment 5 Upstream Release Monitoring 2016-02-23 09:19:28 EST
fale's scratch build of python-s3transfer-0.0.1-1.fc23.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13107433
Comment 6 Fabio Alessandro Locati 2016-02-23 09:23:26 EST
New version is available at https://fale.fedorapeople.org/rpms/python-s3transfer-0.0.1-2.fc23.src.rpm (and it builds for F24 too :)) http://koji.fedoraproject.org/koji/taskinfo?taskID=13107434
Comment 7 Germano Massullo 2016-02-23 09:35:45 EST
Good work, your package is APPROVED



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 4 files have unknown
     license. Detailed output of licensecheck in /home/fale/1311086-python-
     s3transfer/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-s3transfer , python3-s3transfer
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-s3transfer-0.0.1-1.fc23.noarch.rpm
          python3-s3transfer-0.0.1-1.fc23.noarch.rpm
          python-s3transfer-0.0.1-1.fc23.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
python2-s3transfer.noarch: W: invalid-url URL: https://github.com/boto/s3transfer <urlopen error [Errno -3] Temporary failure in name resolution>
python3-s3transfer.noarch: W: invalid-url URL: https://github.com/boto/s3transfer <urlopen error [Errno -3] Temporary failure in name resolution>
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python2-s3transfer (rpmlib, GLIBC filtered):
    python(abi)
    python-futures
    python2-botocore

python3-s3transfer (rpmlib, GLIBC filtered):
    python(abi)
    python3-botocore



Provides
--------
python2-s3transfer:
    python-s3transfer
    python2-s3transfer

python3-s3transfer:
    python3-s3transfer



Source checksums
----------------
https://github.com/boto/s3transfer/archive/0.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 41f31e669e0e260a903d77f59ae20cd6b47e9117956093328c91f3eff20f683b
  CHECKSUM(SHA256) upstream package : 41f31e669e0e260a903d77f59ae20cd6b47e9117956093328c91f3eff20f683b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1311086
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 Gwyn Ciesla 2016-02-23 11:07:37 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-s3transfer

Note You need to log in before you can comment on or make changes to this bug.